plugins {
    id 'com.android.library'
}

android {
    compileSdk rootProject.ext.android.compileSdk
    buildToolsVersion rootProject.ext.android.buildToolsVersion

    defaultConfig {
        minSdk rootProject.ext.android.minSdk
        targetSdk rootProject.ext.android.targetSdk
    }

    buildTypes {
        release {
            minifyEnabled rootProject.ext.module.minifyEnabled
            proguardFiles 'proguard-rules.pro'
        }
    }

    buildFeatures {
        buildConfig false
    }

    lintOptions {
        abortOnError false
    }

    dexOptions {
        preDexLibraries false
    }
}


android.libraryVariants.all { variant ->
    if (variant.buildType.name == 'release'){
        variant.outputs.all {

            outputFileName = "$PUBLISH_ARTIFACT_ID"+ "-" + "$PUBLISH_VERSION" + ".aar"

        }
    }else{
        variant.outputs.all {
            outputFileName = "$PUBLISH_ARTIFACT_ID" + "_"+ variant.buildType.name + "$PUBLISH_VERSION" + ".aar"
        }
    }

}





dependencies {
    compileOnly project(':library_base')

 //    compileOnly project(':library_platform:hnyy')
    compileOnly project(':library_core')

}

apply from: 'publish.gradle'